//#include <Servo.h> //orienté les capteurs ultrasons
//#include <NewPing.h> //utilisteur des capteurs ultrasons
//#include <LiquidCrystal.h> //afficheur LCD
//#include <SD.h> //Enrégistrer les donners sur un carte SD

// Selon connection internet:
//#include <Ethernet.h> 
//#include <WiFi.h>

// Pins pour les capteurs ultrasons
const int trigPin1 = 27;
const int echoPin1 = 14;

const int trigPin2 = 33;
const int echoPin2 = 32;

const int MAX_DISTANCE = 10;

//NewPing sonar(trigPin1, echoPin1, MAX_DISTANCE); // NewPing setup of pins and maximum distance.

// Temps maximum en secondes pour rester dans la pièce
const int maxTime = 14;

// Heure d'entrée
unsigned long entryTime;

void setup() {

  Serial.begin(115200);
 
  // Initialiser les pins
  pinMode(trigPin1, OUTPUT);
  pinMode(echoPin1, INPUT);
  pinMode(trigPin2, OUTPUT);
  pinMode(echoPin2, INPUT);

}

void loop() {

  // Lire les distances
  long duration1, distance1;
  digitalWrite(trigPin1, LOW);
  delayMicroseconds(2);
  digitalWrite(trigPin1, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin1, LOW);
  duration1 = pulseIn(echoPin1, HIGH);
  distance1 = (duration1/2) / 29.1;
  Serial.print("1: ");
  Serial.println(distance1);

  delay (25);
  
  long duration2, distance2;
  digitalWrite(trigPin2, LOW);
  delayMicroseconds(20);  
  digitalWrite(trigPin2, HIGH);
  delayMicroseconds(20);
  digitalWrite(trigPin2, LOW);
  duration2 = pulseIn(echoPin2, HIGH);
  distance2 = (duration2/2) / 29.1;
  Serial.print("2: ");
  Serial.println(distance2);


  // Vérifier l'ordre de détection
  if(distance1 < 25 && distance1 < distance2)   {
   
    Serial.println("Entree detectee");
   entryTime = millis(); // Enregistrer l'heure d'entrée
   delay(1000);

  }
  else if(distance2 < 25 && distance1 > distance2) {
    

    Serial.println("Sortie detectee");
  entryTime = 0; // Réinitialiser l'heure d'entrée
  delay(1000);

  }
 
  delay(50);

}
